//  Diffusion Client Library for iOS, tvOS and OS X / macOS
//
//  Copyright (c) 2018 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;

NS_ASSUME_NONNULL_BEGIN

/**
 Escapes special characters in a string that is to be used within a topic
 property or a @ref md_session_filters "session filter".

 This is a convenience method which inserts an escape character `\` before any
 of the special characters `'`, `"` or `\`.

 @param string The string to be escaped.

 @return The string value with escape characters inserted as appropriate.

 @exception NSInvalidArgumentException If the given string is `nil`.

 @since 6.1
 */
NSString* PTDiffusionEscape(NSString * string);

NS_ASSUME_NONNULL_END
