//  Diffusion Client Library for iOS, tvOS and OS X / macOS
//
//  Copyright (c) 2016, 2017 Push Technology Ltd., All Rights Reserved.
//
//  Use is subject to license terms.
//
//  NOTICE: All information contained herein is, and remains the
//  property of Push Technology. The intellectual and technical
//  concepts contained herein are proprietary to Push Technology and
//  may be covered by U.S. and Foreign Patents, patents in process, and
//  are protected by trade secret or copyright law.

@import Foundation;
#import <Diffusion/PTDiffusionTopicAttributes.h>

NS_ASSUME_NONNULL_BEGIN

/**
 @brief Attributes specific to slave topics.
 
 @see PTDiffusionSlaveTopicDetailsBuilder
 
 @deprecated Since 6.0. The use of PTDiffusionTopicDetails is being phased out
 in favor of PTDiffusionTopicSpecification. This interface will be removed in a
 future release.

 @since 5.7
 */
__deprecated_msg("Will be removed in a future release.")
@interface PTDiffusionSlaveTopicAttributes : PTDiffusionTopicAttributes

/**
 The master topic path.

 @since 5.7
 */
@property(nonatomic, readonly) NSString* masterTopicPath;

/**
 Compares the receiver to the given slave topic attributes.

 @param slaveTopicAttributes The slave topic attributes object with which to compare the receiver.

 @return `YES` if the slave topic attributes is equal to the receiver, otherwise `NO`.

 @since 5.7
 */
-(BOOL)isEqualToSlaveTopicAttributes:(nullable PTDiffusionSlaveTopicAttributes *)slaveTopicAttributes;

@end

NS_ASSUME_NONNULL_END
